Bug 255598

Summary: [exp-run] pkg 1.17
Product: Ports & Packages Reporter: Baptiste Daroussin <bapt>
Component: Individual Port(s)Assignee: Port Management Team <portmgr>
Status: Closed FIXED    
Severity: Affects Only Me CC: lwhsu
Priority: --- Flags: bapt: exp-run?
Version: Latest   
Hardware: Any   
OS: Any   

Description Baptiste Daroussin freebsd_committer 2021-05-04 16:51:49 UTC
Please exp-run what would become pkg 1.17 (1.16.99.5 is the first candidate)

As usual it can be exp-run via adding WITH_PKG=devel
Comment 1 Antoine Brodin freebsd_committer 2021-05-05 08:36:43 UTC
net-mgmt/mbrowse depends on pkg instead of PKG_ORIGIN
Comment 2 Baptiste Daroussin freebsd_committer 2021-05-06 12:23:45 UTC
fixed
Comment 3 Antoine Brodin freebsd_committer 2021-05-06 20:11:09 UTC
Ports still using @exec/@unexec fail to package with DEVELOPER_MODE, for instance:

http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-05-06_19h31m07s/logs/errors/shared-mime-info-2.0.log
Comment 4 Antoine Brodin freebsd_committer 2021-05-07 07:35:41 UTC
On 14.0-CURRENT,  can you create the Latest/pkg.txz compatibility symlink again?  (otherwise it will break the pkg publishing scripts)

And I don't think we need a pkg.tzst compatibility symlink,  this never existed?
Comment 5 Baptiste Daroussin freebsd_committer 2021-05-07 07:41:22 UTC
I thought I did, this is a part I should have missed on the framework.
I will add it!

for pkg.tzst I think this is not needed (note that I plan to switch the default compression format to zstandard later on and only on freebsd 14.

As for the deprecation thing, this is on purpose (I can deffer it if needed)
Comment 6 Baptiste Daroussin freebsd_committer 2021-05-07 07:52:59 UTC
so I really did it properly, but I switched the compression format too early, pkg.txz should be back now.
Comment 7 Antoine Brodin freebsd_committer 2021-05-10 11:49:00 UTC
I think that the @exec/@unexec should be a warning instead of an error as long as the ports infrastructure is still using it.

There seems to be 1 new failure:

http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-05-07_12h05m44s/logs/alienarena-data-2013.766.log
Comment 8 Baptiste Daroussin freebsd_committer 2021-05-10 16:47:36 UTC
about the @exec/@unexec the infrastructure is not using them anymore.

The alienarena-data port has been fixed
Comment 9 Antoine Brodin freebsd_committer 2021-05-10 19:54:00 UTC
Mk/bsd.tex.mk:  @${ECHO_CMD} "@exec ${LOCALBASE}/bin/mktexlsr " \
Comment 10 Baptiste Daroussin freebsd_committer 2021-05-18 08:44:06 UTC
bsd.tex.mk has been fixed
Comment 11 Baptiste Daroussin freebsd_committer 2021-06-18 12:21:15 UTC
Any news here?
Comment 12 Antoine Brodin freebsd_committer 2021-06-18 14:12:23 UTC
(In reply to Baptiste Daroussin from comment #11)
News on what?
There was only 1 failure in non-qa mode and you fixed it.
Comment 13 Li-Wen Hsu freebsd_committer 2021-07-31 21:36:14 UTC
Do we still need to have this open when pkg has been updated to 1.7.1 now?